*:target {
    background: rgba(200,200,25,0.25);
    border-radius: .125ch;
    border: solid .12ch rgba(200,200,25,0.5);
}
html {
    padding: 5pt;
}
body {
    font-family: serif;
    line-height: 1.30rem;
    max-width: 80ch;
    margin: auto;
    text-align: justify;
    text-justify: inter-word;
}
h1, h2, h3, h4, h5, h6 {
    font-variant: all-small-caps;
    letter-spacing: 0.05em;
    line-height: 1.60rem;
    margin-bottom: 1rem;
    margin-top: 2.5rem;
}
h1 {
    text-align: center;
    margin-bottom: 2rem;
}
p {
    text-indent: 3ch;
    margin-top: 0;
    margin-bottom: 0;
    word-break: break-word;
    hyphens: auto;
    hyphenate-limit-chars: 3;
}
h1 + p, h2 + p, h3 + p, h4 + p, h5 + p, h6 + p {
    text-indent: 0;
}
.monospace {
    font-family: monospace;
}
.centerer {
    width: 1px;
    margin: auto;
}
a.vimdoc {
    font-family: monospace;
    background-color: LightGray;
    margin-left: 1px;
    margin-right: 1px;
    padding-left: 3px;
    padding-right: 3px;
    border-radius: 2px;
    text-decoration:none;
}
dl .icon {
    height: 1em;
    vertical-align: sub;
    margin-right: 0.5ch;
}
@media (prefers-color-scheme: dark) {
    html {
        background: #000000;
        color: #FFFFFF;
    }
    :link { color: #90B0FF; }
    :visited {
        color: #D59AFF;
    }
    a.vimdoc {
        background-color: DimGray;
    }
}
.codeElement {
    font-family: monospace;
    overflow: auto;
    .Normal { padding-bottom: 1px; }
    .Comment { color: #a8a8a8; font-style: italic; }
    .Constant { color: #af5fd7; }
    .Operator { font-weight: bold; }
    .Statement { color: #767676; }
    .Special { color: #767676; }
    .PreProc { color: #767676; }
    .diffRemoved { color: #c00000; }
    .diffAdded { color: #008000; }
}
@media (prefers-color-scheme: dark) {
    .codeElement {
        .Statement { color: #9A9A9A; }
        .Special { color: #9A9A9A; }
        .PreProc { color: #9A9A9A; }
    }
}
pre.ocamldoc {
    background: linear-gradient(to left, white 0%, #ede8e5 100%);
    border-left: 4px solid #e69c7f;
    white-space: pre-wrap;
    word-wrap: break-word;
    padding-left: 1ex;
}
.ocamldoc-info-desc {
    margin-bottom: 2ex;
    padding-left: 2em;
}
.ocamldoc-type {
    color: #8d543c;
}
@media (prefers-color-scheme: dark) {
    pre.ocamldoc {
        background: linear-gradient(to left, black 0%, #12171a 100%);
    }
}
